package com.vendor.burn.ui.burners;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.vendor.burn.model.PartitionItem;
import com.vendor.burn.model.define.IBurner;
import com.vendor.burn.model.define.IFastbootProgressMonitor;
import com.vendor.burn.model.devices.burners.PartitionBurner;
import com.vendor.burn.ui.burners.PartitionComposite;
import com.vendor.platform.api.statistics.ToolStatistics;
import java.io.FileNotFoundException;
import java.util.List;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Event;
import org.eclipse.swt.widgets.FileDialog;
import org.eclipse.swt.widgets.Listener;

class null implements Listener {
  public void handleEvent(Event event) {
    if (!PartitionComposite.access$400(PartitionComposite.this, ((PartitionBurner)PartitionComposite.this.getBurner()).checkBeforeMakePro()))
      return; 
    List<PartitionItem> children = PartitionComposite.this.getBurner().getPratitionInfo().getChildren();
    int size = children.size();
    for (int i = 0; i < size; i++) {
      PartitionItem partition = children.get(i);
      if (i == size - 1 && partition.isChecked())
        if (PartitionComposite.this.getBurner() instanceof PartitionBurner)
          if (!((PartitionBurner)PartitionComposite.this.getBurner()).checkLastPartition(children, PartitionComposite.this.getProgressMonitor()))
            return;   
    } 
    ToolStatistics.INSTANCE.logUsage("BurnTool", "Create Pro-usb Image By Partition", "ChipName: " + 
        PartitionComposite.access$500(PartitionComposite.this).getBurnContext().getDeviceSetting().getName());
    ToolStatistics.INSTANCE.logToolInUse("BurnTool");
    try {
      FileDialog dialog = new FileDialog(Display.getDefault().getActiveShell(), 8192);
      dialog.setOverwrite(true);
      dialog.setFileName("Pro_usb.zip");
      String filePath = dialog.open();
      if (filePath != null) {
        PartitionComposite.this.disableUI();
        IFastbootProgressMonitor monitor = PartitionComposite.this.getProgressMonitor();
        monitor.getEvent().setBurner((IBurner)PartitionComposite.this.getBurner());
        filePath = dialog.getFilterPath();
        String fileName = dialog.getFileName();
        PartitionComposite.this.handleCreateProUsb(monitor, filePath, fileName);
      } 
    } catch (FileNotFoundException fileNotFoundException) {}
  }
}
